Spawns a child run from within the current run for fan-out patterns.
curl --request POST \
--url https://api.strait.dev/sdk/v1/runs/{runID}/spawn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_slug": "<string>",
"project_id": "<string>",
"await_completion": true,
"await_timeout_secs": 123,
"payload": "<unknown>",
"target_api_key": "<string>"
}
'{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.strait.dev/sdk/v1/runs/{runID}/spawn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_slug": "<string>",
"project_id": "<string>",
"await_completion": true,
"await_timeout_secs": 123,
"payload": "<unknown>",
"target_api_key": "<string>"
}
'{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}